# 1. List profile

Returns a list of profiles

[![Logo](https://documenter-assets.pstmn.io/favicon.ico)Api public](https://documenter.getpostman.com/view/17474604/2sA3JM61j5#9cfd25d9-bf1d-46c5-b4e3-cf84e437723e)

### Example Request <a href="#example-request-1" id="example-request-1"></a>

<table><thead><tr><th width="269">Method</th><th>URL</th></tr></thead><tbody><tr><td>POST</td><td><a href="http://127.0.0.1:2222/v1/browser/list?is_local=false">http://127.0.0.1:2222/v1/browser/list?is_local=false</a></td></tr></tbody></table>

### Params <a href="#params" id="params"></a>

| Key       | Value      | Description                                           |
| --------- | ---------- | ----------------------------------------------------- |
| is\_local | true/false | false: Show cloud profiles, true: Show local profiles |

### Body <a href="#body" id="body"></a>

```
{
    "orderName": 0,      //sắp xếp theo name, gồm các giá trị 0 1 2
    "orderLastOpen": 0,
    "page": 1,     //chọn trang hiển thị
    "limit": 10,   // Số profile hiển thị trong 1 trang
    "search": "",  //Nhập tên profile cần tìm , có thể để trống
    "status": "",      // id của status , có thể để trống
    "date_range": [
        "",
        ""
    ],   //Nhập khoảng ngày tạo profile theo định dạng yyyy-mm-dd
   
    "folder_id": []   //Nhập id của folder, có thể để trống
    
}
```

### **Example Response** <a href="#example-response" id="example-response"></a>

```
 "data": {
        "type": "success",
        "title": "Load successfully",
        "content": [
            {
                "uuid": "992bd6f1-0a4c-40b2-88c0-d6ae54db7347",
                "directory": "2023/05/15",
                "file_name": "e332938226517443e5ca72b5d269a0a6.zip",
                "can_be_running": true,
                "proxy": "",
                "created_at": "2023-05-15T07:28:07.000000Z",
                "created_at_diff": "43 minutes ago",
                "id": 20165,
                "folder_id": 532,
                "check_open": 1,
                "name": "15 - 5",
                "version": 112,
                "browser_type": "hidemium",
                "os": "mac",
                "note": "",
                "last_open": "2023-05-15 14:30:53",
                "last_open_diff": "41 minutes ago",
                "transfer": "",
                "source_version": null,
                "shares_role": false,
                "shared_uuid": "",
                "status": null,
                "status_chil": 0,
                "tags": [],
                "status_id": null,
                "listing": null
            }
        ]
    },
    "links": {
        "first": "https://v2-api.multibrowser.io/v1/browser/list?page=1",
        "last": "https://v2-api.multibrowser.io/v1/browser/list?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "path": "https://v2-api.multibrowser.io/v1/browser/list?page=1",
        "per_page": "10",
        "to": 1,
        "total": 1
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemium.io/hidemium-4/i.-bat-dau-voi-hidemium/api-automation-v4/get-profile/1.-list-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
